<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Testing the badblocks command</h1>

<style>
pre {
    font-size: 70%;
    background: -webkit-linear-gradient(#000, #eee);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
</style>

<pre>
BADBLOCKS(8)                System Manager's Manual               BADBLOCKS(8)

NAME
       badblocks - search a device for bad blocks

SYNOPSIS
       badblocks  [  -svwnfBX  ]  [ -b block_size ] [ -c blocks_at_once ] [ -d
       read_delay_factor ] [ -e max_bad_blocks ] [ -i input_file ] [  -o  out‐
       put_file  ] [ -p num_passes ] [ -t test_pattern ] device [ last_block ]
       [ first_block ]

DESCRIPTION
       badblocks is used to search for bad blocks on a device (usually a  disk
       partition).   device  is  the  special file corresponding to the device
       (e.g /dev/hdc1).  last_block is the last block to be checked; if it  is
       not  specified,  the  last  block  on  the device is used as a default.
       first_block is an optional parameter specifying the starting block num‐
       ber  for  the  test, which allows the testing to start in the middle of
       the disk.  If it is not specified the first block on the disk  is  used
       as a default.

       Important  note:  If  the output of badblocks is going to be fed to the
       e2fsck or mke2fs programs, it is important that the block size is prop‐
       erly  specified,  since  the block numbers which are generated are very
</pre>
